#!/usr/bin/python

import os
from plexapi.myplex import MyPlexAccount
from plexapi.server import PlexServer
from plexapi.media import Media
from pprint import pprint
import sys

try:
    import apiconfig
except:
    print("Error!")
    print("  \"apiconfig.py\" seems to be missing!")
    print("  Have you copied the default config to \"apiconfig.py\" and made appropriate edits?")
    print()
    sys.exit()

colcontents = {}
for col in apiconfig.colmap.values():
    colcontents[col] = []

plex = PlexServer(apiconfig.url, apiconfig.apikey)

missing_count = 0
print("Looking for videos that have missing files...")
videos = plex.library.section(apiconfig.libraryname).all()
for video in videos:
    file = None
    for part in video.iterParts():
        if file == None: file = part.file
    if not os.path.isfile(file):
        missing_count += 1
        print(f"Missing: {video.title} ({file})")

print(f"Total Missing Files: {missing_count}")
